Request
string
required
Nombre o término de búsqueda del producto o servicio (ej:
"AGUA", "INTERNET").Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST https://{empresa}.mipos.co.cr/api/hacienda/cabys \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {token}" \
-d '{
"name": "AGUA"
}'
$ch = curl_init('https://{empresa}.mipos.co.cr/api/hacienda/cabys');
curl_setopt_array($ch, [
CURLOPT_POST => true,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Content-Type: application/json',
'Authorization: Bearer ' . $token,
],
CURLOPT_POSTFIELDS => json_encode([
'name' => 'AGUA',
]),
]);
$response = curl_exec($ch);
curl_close($ch);
$result = json_decode($response, true);
const response = await fetch('https://{empresa}.mipos.co.cr/api/hacienda/cabys', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Authorization': `Bearer ${token}`,
},
body: JSON.stringify({ name: 'AGUA' }),
});
const data = await response.json();
import requests
response = requests.post(
'https://{empresa}.mipos.co.cr/api/hacienda/cabys',
headers={'Authorization': f'Bearer {token}'},
json={'name': 'AGUA'},
)
data = response.json()
{
"status": "success",
"data": [
{
"codigo": "0111001000000",
"descripcion": "Agua mineral natural"
},
{
"codigo": "0111002000000",
"descripcion": "Agua purificada"
}
]
}
{
"error": "unauthorized",
"message": "Token inválido o expirado"
}
Buscar códigos CABYS por nombre de producto o servicio
POST https://{empresa}.mipos.co.cr/api/hacienda/cabys
"AGUA", "INTERNET").curl -X POST https://{empresa}.mipos.co.cr/api/hacienda/cabys \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {token}" \
-d '{
"name": "AGUA"
}'
$ch = curl_init('https://{empresa}.mipos.co.cr/api/hacienda/cabys');
curl_setopt_array($ch, [
CURLOPT_POST => true,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Content-Type: application/json',
'Authorization: Bearer ' . $token,
],
CURLOPT_POSTFIELDS => json_encode([
'name' => 'AGUA',
]),
]);
$response = curl_exec($ch);
curl_close($ch);
$result = json_decode($response, true);
const response = await fetch('https://{empresa}.mipos.co.cr/api/hacienda/cabys', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Authorization': `Bearer ${token}`,
},
body: JSON.stringify({ name: 'AGUA' }),
});
const data = await response.json();
import requests
response = requests.post(
'https://{empresa}.mipos.co.cr/api/hacienda/cabys',
headers={'Authorization': f'Bearer {token}'},
json={'name': 'AGUA'},
)
data = response.json()
{
"status": "success",
"data": [
{
"codigo": "0111001000000",
"descripcion": "Agua mineral natural"
},
{
"codigo": "0111002000000",
"descripcion": "Agua purificada"
}
]
}
{
"error": "unauthorized",
"message": "Token inválido o expirado"
}